#include <stdlib.h>
#include <stdio.h>
#include <math.h>

int N,
#ifdef BASSCOM
		T=12;
float factor=/*100/T*/8.5;//Not exactly
#else
		T=11;
float factor=/*100/T*/9.09;//Not exactly
#endif

float max_delta[]={
#ifdef BASSCOM
	1.928463,
	109.901899,
	119.890378,
	231.651438,
	14.085265,
	90.715274,
	72.207168,
	177.013675,
	206.236449,
	972.25746,
	13.647988,
	332.658343
#else
	1.569993, 
	118.201065, 
	131.302405, 
	27.101551, 
	113.256766, 
	124.091326, 
	188.980939, 
	226.200492, 
	912.364678, 
	23.206589, 
	357.121297 
#endif
};

double balans0[]={
	5.685212,
	133.813679,
	132.333333,
#ifdef BASSCOM
	299.000000,
#endif
	28.120785,
	114.263055,
	125.094461,
	189.996167,
	227.206528,
	993.548936,
	24.237517,
	358.127672
};
	
int main(int argc, char* argv[])
{
	int i,j;
	float bal,pt1,pt0,pt,sum1,sum0,sum,old_best;
	FILE *fp,*fp1;
	char name[32];
	fp=fopen("Results.inp","r");
	fp1=fopen("Results.out","w");
	fscanf(fp,"%d\n",&N);
	for(i=0;i<N;i++){
		fscanf(fp,"%s\n",name);
		fprintf(fp1,"-----------------------\n");
		fprintf(fp1,"%s\n",name);
		fprintf(fp1,"-----------------------\n");
		sum=sum0=sum1=0;
		for(j=0;j<T;j++){
			fscanf(fp,"%f ",&bal);
			//Correct with your virtual would be result:
			old_best=max_delta[j];
			if(i==0&&(bal-max_delta[j])>0.000001)max_delta[j]=bal;
			pt=factor*log(bal+1)/log(max_delta[j]+1);
			pt0=factor*bal/max_delta[j];
			pt1=pt0*(1+balans0[j]-max_delta[j])/(1+balans0[j]-bal);
			sum+=pt,sum0+=pt0,sum1+=pt1;
			fprintf(fp1,"%.2f\t%.2f\t%.2f",pt,pt0,pt1);
			if(i==0&&(max_delta[j]-old_best)>0.000001)
				fprintf(fp1,"\t%f --> %f",old_best,max_delta[j]);
			fprintf(fp1,"\n");
		}
		fprintf(fp1,"-----------------------\n");
		fprintf(fp1,"%.2f\t%.2f\t%.2f\n\n",sum,sum0,sum1);
	}
	fclose(fp);
	fclose(fp1);
	return 0;
}

